> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Local Utility Price

> Returns the local utility price and name of local utility for given address and consumption. Its possible to request prices from past.



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/prices/get_local_utility_price/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/prices/get_local_utility_price/:
    get:
      tags:
        - prices
      summary: Get Local Utility Price
      description: >-
        Returns the local utility price and name of local utility for given
        address and consumption. Its possible to request prices from past.
      operationId: get_local_utility_price
      parameters:
        - in: query
          name: city
          schema:
            type: string
            minLength: 1
          description: City for the price calculation.
          required: true
        - in: query
          name: consumption
          schema:
            type: integer
            maximum: 100000
            minimum: 0
          description: Yearly consumption in kWh.
          required: true
        - in: query
          name: date
          schema:
            type: string
            format: date
          description: Historic price date, if required.
        - in: query
          name: house_number
          schema:
            type: string
            minLength: 1
          description: House number, if available.
        - in: query
          name: is_business
          schema:
            type: boolean
            default: false
          description: Whether to calculate a business tariff.
        - in: query
          name: street
          schema:
            type: string
            minLength: 1
          description: Street name for the price calculation.
          required: true
        - in: query
          name: zipcode
          schema:
            type: string
            minLength: 1
          description: ZIP code for the price calculation.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocalUtilityPriceResponse'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocalUtilityPriceError'
              examples:
                Example1:
                  value:
                    detail: >-
                      Cannot calculate price during unclear network provider
                      situation
                  summary: Calculation issue
          description: ''
components:
  schemas:
    LocalUtilityPriceResponse:
      type: object
      properties:
        locat_utility_name:
          type: string
          description: Display name of the local utility provider.
        local_utility_year_price:
          type: number
          format: double
          description: >-
            Calculated price in euros for one year and the requested
            consumption.
      required:
        - local_utility_year_price
        - locat_utility_name
    LocalUtilityPriceError:
      type: object
      properties:
        detail:
          type: string
          description: Reason why the local utility price could not be calculated.
      required:
        - detail

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.